---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Создать задачу
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/issues/create-issue.md
  - https://yandex.ru/support/tracker/ru/api-ref/issues/create-issue.md
  - href: en/api-ref/issues/create-issue.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Create an issue

Use this request to create an issue.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.ru/support/tracker/en/api-ref/access.md).

To create an issue, use an HTTP request with the `POST` method. In the request body, specify the parameters in JSON format:

```json translate=no
POST /v3/issues/
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
    "summary": "<issue_summary>",
    "queue": {
        "id": "<queue_ID>",
        "key": "<queue_key>"
        }
}
```
<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

{% cut "Request parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| notify | Send a notification about the issue being created to users who are subscribed to this event. The notification will be sent by default. | Logical |

{% endcut %}

{% cut "Request body parameters" %}

The request body contains the information required to create a new issue:

**Required parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| summary | Issue summary. | String |
| [queue](#queue) | Queue to create the issue in. | Can be set as an object, a string (if the [queue key](*queuekey) is provided), or a number (if the queue ID is provided). |

**Additional parameters**

<!-- source: en/api-ref/_includes/issue-request-fields-note.md -->
{% note info "" %}

The table contains the basic request parameters. For the full list of parameters and their description, see [Request parameters](https://yandex.ru/support/tracker/en/api-ref/issues/request-fields.md).

You can also use global custom fields and local queue fields.

{% endnote %}
<!-- endsource: en/api-ref/_includes/issue-request-fields-note.md -->

| Parameter | Description | Data type |
----- | ----- | -----
| [parent](#parent) | Parent issue. | Object or string. |
| description | Issue description. | String |
| markupType | Type of text markup. If you use the [YFM markup](https://yandex.com/support/tracker/user/syntax-yfm.html) in issue descriptions, specify the `md` value. | String |
| sprint | Block with information about sprints. | Array of objects or strings. |
| [type](#type) | Issue type. | Can be set as an object, a string (if the issue type key is provided), or a number (if the issue type ID is provided). |
| [priority](#priority) | Issue priority. | Can be set as an object, a string (if the priority key is provided), or a number (if the priority ID is provided). |
| [followers](#followers) | IDs or usernames of issue followers. | Array of objects, numbers, or strings. |
| [assignee](#assignee) | ID or username of issue assignee. | Object, number, or string. |
| [author](#author) | ID or username of issue author. | Object, number, or string. |
| [project](#project-req) | Block with information about issue projects. | Object |
| [links](#links) | Links to other issues. | Array of objects |
| unique | Optional field whose value must be unique within the organization's Yandex Tracker. This value can be used to prevent creation of duplicate issues (for example, when caused by a trigger). If you try to create an issue with the same parameter value again, there won't be a duplicate created, and the response will contain an error with code 409. | String |
| attachmentIds | IDs of [temporary files](./temp-attachment.md) that will be attached to the issue description. | Array of numbers or strings |
| [tags](#tags) | Block with tag information. | Array of strings |

`queue` **object fields** {#queue}

| Parameter | Description | Data type |
----- | ----- | -----
| id | Queue ID. | String |
| key | Queue key. | String |

`parent` **object fields** {#parent}

| Parameter | Description | Data type |
----- | ----- | -----
| id | Parent issue ID. | String |
| key | Parent issue key. | String |

`type` **object fields** {#type}

| Parameter | Description | Data type |
----- | ----- | -----
| id | Issue type ID. | String |
| key | Issue type key. | String |

`priority` **object fields** {#priority}

| Parameter | Description | Data type |
----- | ----- | -----
| id | Priority ID. | String |
| key | Priority key. | String |

`followers` **object fields** {#followers}

| Parameter | Description | Data type |
----- | ----- | -----
| id | Employee ID. | String |

`assignee` **object fields** {#assignee}

| Parameter | Description | Data type |
----- | ----- | -----
| id | Employee ID. | String |

`author` **object fields** {#author}

| Parameter | Description | Data type |
----- | ----- | -----
| id | Employee ID. | String |

`project` **object fields** {#project-req}

<!-- source: en/api-ref/_includes/project.md -->
| Parameter | Description | Data type |
-------- | -------- | ----------
| primary | ID of the main issue project (the `shortId` project field) | Number |
| secondary | IDs of additional issue projects (the `shortId` project field) | Array of numbers |

{% note info "" %}

If the request address specifies API `v2`, the `project` parameter can contain only the ID of the main project.

For example: `"project": 1234`

{% endnote %}
<!-- endsource: en/api-ref/_includes/project.md -->

`links` **array object fields** {#links}

<!-- source: en/api-ref/_includes/issue-links.md -->
#|
|| Parameter | Description | Data type ||
|| relationship | Link type between issues:
* `relates` — simple link;
* `is dependent by` — the current issue blocks the linked issue;
* `depends on` — the current issue depends on the linked issue;
* `is subtask for` — the current issue is a subtask of the linked issue;
* `is parent task for` — the current issue is a parent task for the linked issue;
* `duplicates` — the current issue is a duplicate of the linked issue;
* `is duplicated by` — the linked issue is a duplicate of the current issue;
* `is epic of` — the current issue is an epic for the linked issue. You can set this link type only for issues of the "Epic" type.
* `has epic` — the linked issue is an epic for the current issue. You can set this link type only for issues of the "Epic" type.
| String ||
|| issue | ID or key of the linked issue | String ||
|#
<!-- endsource: en/api-ref/_includes/issue-links.md -->

{% endcut %}

> Example 1: Create an issue with a specified parent issue
>
> - We are creating an issue named **Test Issue** in the queue with the **TREK** [key](*queuekey).
> - The new issue is a sub-issue of **JUNE-2**.
> - New issue type: **Bug**.
> - Assignee: `userlogin`.
> - Issue tags: `tag1`, `tag2`.
> - Attachments: pre-loaded files with IDs `55`, `56`. [How to upload a temporary file](https://yandex.ru/support/tracker/en/api-ref/issues/temp-attachment.md)
>
> ```json
> POST /v3/issues/
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> Content-Type: application/json
> X-Org-ID: 1234******
>
> {
>     "queue": "TREK",
>     "summary": "Test Issue",
>     "parent":"JUNE-2",
>     "type": "bug",
>     "assignee": "userlogin",
>     "attachmentIds": [55, 56],
>     "tags": ["tag1", "tag2"]
> }
> ```

> Example 2: Create an issue with different types of local fields
>
> {% note info %}
>
> For details on working with local fields, see [Local fields](https://yandex.ru/support/tracker/en/api-ref/issues/fields.md#local).
>
> To get a list of queue local fields, use the [Get queue local fields](https://yandex.ru/support/tracker/en/api-ref/queues/get-local-fields.md) request.
>
> {% endnote %}
>
> - We are creating an issue named **Test Issue** in the queue with the **TREK** [key](*queuekey).
> - The issue is populated with different types of local fields:
>   - String field: `603fb94c38bbe658********--stringField`
>   - Numeric field: `603fb94c38bbe658********--numberField`
>   - User array: `603fb94c38bbe658********--userArray`
>
> ```json
> POST /v3/issues/
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> Content-Type: application/json
> X-Org-ID: 1234******
>
> {
>     "queue": "TREK",
>     "summary": "Test Issue",
>     "603fb94c38bbe658********--stringField": "Text value",
>     "603fb94c38bbe658********--numberField": 42,
>     "603fb94c38bbe658********--userArray": [
>         {"id": "user1@example.com"},
>         {"id": "user2@example.com"}
>     ]
> }
> ```

> Example 3: Create an issue linked to an epic
>
> - We are creating an issue named **Sub-epic** in the queue with the **TREK** [key](*queuekey).
> - The new issue is a sub-epic of **JUNE-3**.
>
> ```json
> POST /v3/issues/
> Host: api.tracker.yandex.net
> Authorization: OAuth y0__xAbc******
> Content-Type: application/json
> X-Org-ID: 1234******
>
> {
>     "queue": "TREK",
>     "summary": "Sub-epic",
>     "links": [
>        {
>            "issue": "JUNE-3",
>            "relationship": "has epic"
>        }
>    ]
> }
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

  <!-- source: en/api-ref/_includes/answer-201.md -->
  If the request is successful, the API returns a response with code `201 Created`.
  <!-- endsource: en/api-ref/_includes/answer-201.md -->

  The request body contains information about the created issue in JSON format.

  {% include [answer-issue](../_includes/answer-issue.md) %}

- Request failed

  <!-- source: en/api-ref/_includes/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/api-ref/_includes/answer-error-404.md -->

  <!-- source: en/api-ref/_includes/answer-error-409.md -->
  409
  :   There was a conflict when editing the object. The error may be due to an invalid update version.
  <!-- endsource: en/api-ref/_includes/answer-error-409.md -->

{% endlist %}

[*queuekey]: A queue key is a unique code for a queue consisting of Latin characters, for example `TEST`. The key is contained in the link to the queue and its issues, and you need to specify it in API requests and auto action settings. You can't change the key after creating the queue.
{% included (../_includes/answer-issue.md) %}
```json
[
    {
    "self": "https://api.tracker.yandex.net/v3/issues/TREK-9844",
    "id": "593cd211ef7e8a33********",
    "key": "TREK-9844",
    "version": 7,
    "lastCommentUpdatedAt": "2017-07-18T13:33:44.291+0000",
    "summary": "subtask",
    "parent": {
        "self": "https://api.tracker.yandex.net/v3/issues/JUNE-2",
        "id": "593cd0acef7e8a33********",
        "key": "JUNE-2",
        "display": "Task"
        },
    "aliases": [
            "JUNE-3"
        ],

    "updatedBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
        },
    "description": "<#<html><head></head><body><div>test</div><div> </div><div> </div> </body></html>#>",
    "sprint": [
            {
        "self": "https://api.tracker.yandex.net/v3/sprints/53**",
        "id": "53**",
        "display": "sprint1"
            }
        ],
    "type": {
        "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
        "id": "2",
        "key": "task",
        "display": "Issue"
        },
    "priority": {
        "self": "https://api.tracker.yandex.net/v3/priorities/2",
        "id": "2",
        "key": "normal",
        "display": "Normal"
        },

    "createdAt": "2017-06-11T05:16:01.339+0000",
    "followers": [
        {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
        }
        ],
    "createdBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
        },
    "votes": 0,
    "assignee": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "Ivan Ivanov"
        },
    "project": {
        "primary": {
            "self": "https://api.tracker.yandex.net/v3/projects/1",
            "id": "1",
            "display": "Startrek project"
        },
        "secondary": []
    },
    "queue": {
        "self": "https://api.tracker.yandex.net/v3/queues/TREK",
        "id": "111",
        "key": "TREK",
        "display": "Startrek"
        },
    "updatedAt": "2017-07-18T13:33:44.291+0000",
    "status": {
        "self": "https://api.tracker.yandex.net/v3/statuses/1",
        "id": "1",
        "key": "open",
        "display": "Open"
        },
    "previousStatus": {
        "self": "https://api.tracker.yandex.net/v3/statuses/2",
        "id": "2",
        "key": "resolved",
        "display": "Resolved"
        },
    "favorite": false
    },
    {...}
]
```

{% cut "Response parameters" %}

   <!-- source: en/api-ref/_includes/issue-response-fields-note.md -->
   {% note info "" %}

   The table lists the main response fields. For a full list of fields and their descriptions, see [Response parameters](https://yandex.ru/support/tracker/en/api-ref/issues/response-fields.md).

   The response may also include global user fields and local queue fields.

   {% endnote %}
   <!-- endsource: en/api-ref/_includes/issue-response-fields-note.md -->

   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the issue | String |
   | id | Issue ID | String |
   | key | Issue key | String |
   | version | Issue version. Changing issue parameters increases the issue's version number. <br>Issue edits will be disabled if the version number reaches the threshold value of `10100` (for robots) or `11100` (for users) | Number |
   | lastCommentUpdatedAt | Date and time when the last comment was added | String |
   | summary | Issue name | String |
   | [parent](#parent) | Object with information about the parent issue | Map object |
   | aliases | Array with information about alternative issue keys | Array of strings |
   | [updatedBy](#updated-by) | Object with information about the employee who edited the issue last | Map object |
   | description | Problem description | String |
   | [sprint](#sprint) | Array of objects with information about the sprint | Array of objects |
   | [type](#type) | Object with information about the issue type | Map object |
   | [priority](#priority) | Object with information about the priority | Map object |
   | createdAt | Issue creation date and time | String |
   | [followers](#followers) | Array of objects with information about issue followers | Array of objects |
   | [createdBy](#created-by) | Object with information about the user who created the issue | Map object |
   | votes | Number of votes for the issue | Number |
   | [assignee](#assignee) | Object with information about the issue's assignee | Map object |
   | [project](#project) | Object with information about the issue project | Map object |
   | [queue](#queue) | Object with information about the issue queue | Map object |
   | updatedAt | Date and time when the issue was last updated | String |
   | [status](#status) | Object with information about the issue status | Map object |
   | [previousStatus](#previous-status) | Object with information about the previous status of the issue | Map object |
   | favorite | Favorite issue flag:<ul><li>`true`: Issue added to favorites by the user.</li><li>`false`: Issue not added to favorites</li></ul> | Boolean |
   | tags | Issue tags | Array of strings |

   `parent` **object fields** {#parent}

   <!-- source: en/api-ref/_includes/issue.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the issue. | String |
   | id | Issue ID. | String |
   | key | Issue key. | String |
   | display | Issue name displayed. | String |
   <!-- endsource: en/api-ref/_includes/issue.md -->

   `updatedBy` **object fields** {#updated-by}

   <!-- source: en/api-ref/_includes/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Identity Hub | String |
   <!-- endsource: en/api-ref/_includes/user.md -->

   <!-- source: en/api-ref/_includes/sprint.md -->
   `Sprint` **array object fields** {#sprint}

   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the sprint. | String |
   | id | Sprint ID. | String |
   | display | Sprint name displayed. | String |
   <!-- endsource: en/api-ref/_includes/sprint.md -->

   <!-- source: en/api-ref/_includes/type.md -->
   `type` **object fields** {#type}

   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the issue type. | String |
   | id | Issue type ID | String |
   | key | Issue type key. | String |
   | display | Issue type name displayed. | String |
   <!-- endsource: en/api-ref/_includes/type.md -->

   <!-- source: en/api-ref/_includes/priority.md -->
   `priority` **object fields** {#priority}

   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the priority. | String |
   | id | Priority ID | String |
   | key | Priority key. | String |
   | display | Priority name displayed. | String |
   <!-- endsource: en/api-ref/_includes/priority.md -->

   `followers` **array object fields** {#followers}

   <!-- source: en/api-ref/_includes/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Identity Hub | String |
   <!-- endsource: en/api-ref/_includes/user.md -->

   `createdBy` **object fields** {#created-by}

   <!-- source: en/api-ref/_includes/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Identity Hub | String |
   <!-- endsource: en/api-ref/_includes/user.md -->

   `assignee` **object fields** {#assignee}

   <!-- source: en/api-ref/_includes/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Identity Hub | String |
   <!-- endsource: en/api-ref/_includes/user.md -->

   `project` **object fields** {#project}

   <!-- source: en/api-ref/_includes/project.md -->
   | Parameter | Description | Data type |
   -------- | -------- | ----------
   | [primary](#project-id) | Main issue project | Object |
   | [secondary](#project-id) | List of additional issue projects | Array of objects |

   {% note info "" %}

   If the request address specifies API `v2`, the `project` object contains information only about the main project.

   {% endnote %}
   <!-- endsource: en/api-ref/_includes/project.md -->

   **Fields of the object that contains project data** {#project-id}

   The `primary` and `secondary` parameters contain objects with the following fields:

   <!-- source: en/api-ref/_includes/project.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the project | String |
   | id | Project ID | String |
   | display | Project name displayed | String |
   <!-- endsource: en/api-ref/_includes/project.md -->


   `queue` **object fields** {#queue}

   <!-- source: en/api-ref/_includes/queue.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the queue. | String |
   | id | Queue ID. | String |
   | key | Queue key. | String |
   | display | Queue name displayed. | String |
   <!-- endsource: en/api-ref/_includes/queue.md -->

   `status` **object fields** {#status}

   <!-- source: en/api-ref/_includes/status.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the status. | String |
   | id | Status ID. | String |
   | key | Status key. | String |
   | display | Status name displayed. | String |
   <!-- endsource: en/api-ref/_includes/status.md -->

   `previousStatus` **object fields** {#previous-status}

   <!-- source: en/api-ref/_includes/status.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the status. | String |
   | id | Status ID. | String |
   | key | Status key. | String |
   | display | Status name displayed. | String |
   <!-- endsource: en/api-ref/_includes/status.md -->

{% endcut %}
```
{% endincluded %}
{% included (../_includes/answer-issue.md:issue-response-fields-note.md) %}
{% note info "" %}

The table lists the main response fields. For a full list of fields and their descriptions, see [Response parameters](../../api-ref/issues/response-fields.md).

The response may also include global user fields and local queue fields.

{% endnote %}
{% endincluded %}
{% included (../_includes/answer-issue.md:issue.md) %}
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the issue. | String |
| id | Issue ID. | String |
| key | Issue key. | String |
| display | Issue name displayed. | String |
{% endincluded %}
{% included (../_includes/answer-issue.md:user.md) %}
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the user | String |
| id | User ID. | String |
| display | Displayed user name | String |
| passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
| cloudUid | Unique user ID in Yandex Identity Hub | String |

{% endincluded %}
{% included (../_includes/answer-issue.md:sprint.md) %}
`Sprint` **array object fields** {#sprint}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the sprint. | String |
| id | Sprint ID. | String |
| display | Sprint name displayed. | String |
{% endincluded %}
{% included (../_includes/answer-issue.md:type.md) %}
`type` **object fields** {#type}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the issue type. | String |
| id | Issue type ID | String |
| key | Issue type key. | String |
| display | Issue type name displayed. | String |
{% endincluded %}
{% included (../_includes/answer-issue.md:priority.md) %}
`priority` **object fields** {#priority}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the priority. | String |
| id | Priority ID | String |
| key | Priority key. | String |
| display | Priority name displayed. | String |
{% endincluded %}
{% included (../_includes/answer-issue.md:project.md) %}
# Project Request {#request}

| Parameter | Description | Data type |
-------- | -------- | ----------
| primary | ID of the main issue project (the `shortId` project field) | Number |
| secondary | IDs of additional issue projects (the `shortId` project field) | Array of numbers |

{% note info "" %}

If the request address specifies API `v2`, the `project` parameter can contain only the ID of the main project.

For example: `"project": 1234`

{% endnote %}

# Project Response {#response}

| Parameter | Description | Data type |
-------- | -------- | ----------
| [primary](#project-id) | Main issue project | Object |
| [secondary](#project-id) | List of additional issue projects | Array of objects |

{% note info "" %}

If the request address specifies API `v2`, the `project` object contains information only about the main project.

{% endnote %}

# Project ID {#project-id}

| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the project | String |
| id | Project ID | String |
| display | Project name displayed | String |


{% endincluded %}
{% included (../_includes/answer-issue.md:queue.md) %}
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the queue. | String |
| id | Queue ID. | String |
| key | Queue key. | String |
| display | Queue name displayed. | String |
{% endincluded %}
{% included (../_includes/answer-issue.md:status.md) %}
| Parameter | Description | Data type |
----- | ----- | -----
| self | Address of the API resource with information about the status. | String |
| id | Status ID. | String |
| key | Status key. | String |
| display | Status name displayed. | String |
{% endincluded %}